{% extends 'datacenter/base.html' %}
<!-- load crispy tags -->
{% load crispy_forms_tags %}
{% block content %}
  <div class="row col-xxl-6 col-xl-6 col-lg-8 col-md-10 m-auto p-0 mb-5">
    <div class="row bg-black border-bottom mt-3 mx-auto">
      <h1 class="text-white text-center">
        <a class="text-decoration-none text-white"
           href="{% if pk_rack %}{% url 'datacenter:rack-update' pk=pk_rack %}{% else %}{% endif %}">
          {% if pk_rack %}
            Rack {{ pk_rack }} /
          {% else %}
          {% endif %}
        {{ page_title }}</a>
      </h1>
    </div>
    <form action="{% url form_action pk_device=pk_device %}" method="post">
      {% csrf_token %}
      <!-- add form errors displayed via crispy -->
      {{ form|as_crispy_errors:"bootstrap5" }}
      <!-- add crispy form helper and layout -->
      {% crispy form_device %}
      <hr>
      <div class="row col-12 bg-dark text-white mx-auto px-1 pt-2 pb-3 mt-2">
        {% if pk_rack %}
          <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-6 col-sm-12 p-0 px-1 mt-2 mx-auto">
            <a class="col-12 btn btn-danger text-white"
               href="{% url 'datacenter:device-delete-from-rack' pk_device pk_rack %}">Delete device</a>
          </div>
        {% else %}
        {% endif %}
        <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-6 col-sm-12 mx-auto p-0 px-1 mt-2">
          <input class="col-12 btn btn-dark text-white border border-white"
                 type="submit"
                 name="submit_device"
                 value="Save device" />
        </div>
      </div>
    </form>
  </div>
{% endblock %}
